<?php 
/*
Plugin Name: Adsense Widget
Plugin URI: https://metinsaylan.com/wordpress/plugins/adsense-widget/
Description: A Simple Adsense widget. Select ad size easily on your site. Hide ads for registered users or admins. You can define Slot or Channel id for statistics. Easy to use shortcode `[adsense]`! Since 2010!
Version: 1.7
Author: Metin Saylan
Author URI: https://metinsaylan.com/
Text Domain: adsense-widget
*/

include_once( 'adsense-widget.php' );
include_once( 'adsense-shortcode.php' );

/* Register widget */
add_action( 'widgets_init', 'register_adsense_widget' );
function register_adsense_widget(){ 
	register_widget( 'stf_adsense' );
}

/* Admin-only content */
if( is_admin() ){

	/* Include Core */
	include_once( 'wpa/wpa-plugins-core.php' );

	/* Register templates */
	wpa_register_template( 
		'wpa-options', 1, 
		plugin_dir_path( __FILE__ ) . 'wpa/partials/wpa-options.php' 
	);

	wpa_register_template( 
		'wpa-debug', 1, 
		plugin_dir_path( __FILE__ ) . 'wpa/partials/wpa-debug.php' 
	);

	wpa_register_template( 
		'wpa-recommendations', 1, 
		plugin_dir_path( __FILE__ ) . 'wpa/partials/wpa-recommendations.php' 
	);
	
	/* Append plugin links */
	add_filter( 'plugin_action_links_' . plugin_basename(__FILE__), 'plugin_add_settings_link' );
	function plugin_add_settings_link( $links ) {
		$links[] = '<a href="options-general.php?page=adsense-widget">' . __( 'Settings', 'adsense-widget' ) . '</a>';
		$links[] = '<a href="https://metinsaylan.com/donate/" target="_blank">' . __( 'Donate', 'adsense-widget' ) .  '</a>';
		return $links;
	}

	/* Plugin activation redirect */
	register_activation_hook( __FILE__, 'adsense_widget_activate' );
	add_action('admin_init', 'adsense_widget_redirect');

	function adsense_widget_activate() {
		add_option( 'adsense_widget_do_activation_redirect', true );
	}

	function adsense_widget_redirect() {
		if ( get_option( 'adsense_widget_do_activation_redirect', false ) ) {
			delete_option( 'adsense_widget_do_activation_redirect' );
			$url = admin_url( 'options-general.php?page=adsense-widget' );
			wp_redirect($url);
		}
	}
}




