<?php /* Version: 1 */ 
  global $wpa_plugin; 
  $current = $wpa_plugin['current']; 
  $messages = $wpa_plugin['messages'];
?>
<div class="wrap options-page">

<h1><?php echo esc_html( $wpa_plugin['title'] ); ?></h1>
<div class="nav"><?php if(!empty( $navigation )){echo $navigation;} ?></div>

<div id="notifications">
  <?php if ( isset($_GET['message']) && isset($messages[$_GET['message']]) ) { ?>
  <div id="message" class="updated fade"><p><?php echo $messages[$_GET['message']]; ?></p></div>
  <?php } ?>
  <?php if ( isset($_GET['error']) && isset($errors[$_GET['error']]) ) { ?>
  <div id="message" class="error fade"><p><?php echo $errors[$_GET['error']]; ?></p></div>
  <?php } ?>
</div><!-- /notifications -->

<div class="options-wrap">
<form method="post">

<?php foreach ( $wpa_plugin['options'] as $field ) {
switch ( $field['type'] ) {
	case 'section': ?>

<div class="section-title-wrap">
	<h3 id="<?php echo sanitize_title( $field['name'] ); ?>" class="section-title"><?php echo $field['name']; ?></h3>
</div>

<?php break;
	case 'open': ?>
<!-- Section [Start] -->
<div class="wpa-settings-wrap">

<?php break;
	case 'close': ?>

<div class="wpa-submit-wrap">
	<?php submit_button( 'Save Changes', 'primary', 'save', false ); ?>
</div>

</div><!-- wpa-settings-wrap -->
<!-- Section [End] -->
<?php break;
	case 'paragraph': ?>

<div class="wpa-options-paragraph clearfix">
	<?php echo $field['desc']; ?>
</div>

<?php
break;
case 'text': ?>

<div class="wpa-options-input wpa-options-text clearfix">
	<label for="<?php echo $field['id']; ?>"><?php echo $field['name']; ?></label>
 	<input name="<?php echo $field['id']; ?>" id="<?php echo $field['id']; ?>" <?php if( array_key_exists( 'placeholder', $field ) ){ echo ' placeholder="' . $field['placeholder'] . '" '; } ?> type="<?php echo $field['type']; ?>" value="<?php if ( isset($current[ $field['id'] ]) && $current[ $field['id'] ] != "") { echo esc_html(stripslashes($current[ $field['id'] ] ) ); } ?>" />
	<small><?php echo $field['desc']; ?></small>
</div>

<?php
break;
case 'textarea':
?>

<div class="wpa-options-input wpa-options-textarea clearfix">
	<label for="<?php echo $field['id']; ?>"><?php echo $field['name']; ?></label>
 	<textarea name="<?php echo $field['id']; ?>" type="<?php echo $field['type']; ?>" cols="" rows=""><?php if ( $current[ $field['id'] ] != "") { echo stripslashes($current[ $field['id'] ] ); } else { echo $field['std']; } ?></textarea>
 <small><?php echo $field['desc']; ?></small>

 </div>

<?php
break;
case 'select':
?>

<div class="wpa-options-input wpa-options-select clearfix">
	<label for="<?php echo $field['id']; ?>"><?php echo $field['name']; ?></label>

<select name="<?php echo $field['id']; ?>" id="<?php echo $field['id']; ?>">
<?php foreach ($field['options'] as $key=>$name) { ?>
		<option <?php if ( isset($current[ $field['id'] ]) && $current[ $field['id'] ] == $key) { echo 'selected="selected"'; } ?> value="<?php echo $key;?>"><?php echo $name; ?></option><?php } ?>
</select>

	<small><?php echo $field['desc']; ?></small>
</div>

<?php
break;
case "checkbox":
?>

<div class="wpa-options-input wpa-options-checkbox clearfix">
	<label for="<?php echo $field['id']; ?>"><?php echo $field['name']; ?></label>

	<input type="checkbox" name="<?php echo $field['id']; ?>" id="<?php echo $field['id']; ?>" value="on" <?php checked($current[ $field['id'] ], "on") ?> />

	<small><?php echo $field['desc']; ?></small>
 </div>

<?php 
break;
case 'picker':
?>
	<div id="picker"></div>

<?php 
break;

}
}
?>

<input type="hidden" name="action" value="save" />
</form>

<div class="wpa-danger-zone">
<form method="post">Danger Zone: <?php submit_button( 'Reset Options', 'secondary', 'reset', false ); ?> <input type="hidden" name="action" value="reset" /> </form>
</div>

</div><!-- /options-wrap -->

<?php wpa_load_template( 'wpa-recommendations' ); ?>
<?php wpa_load_template( 'wpa-debug' ); ?>

</div> <!-- /wrap options-page -->